/api/v1/reservations/{id}/

Partially update a reservation.

All fields are optional. Only provided fields will be updated.

If guest data is provided, the guest is upserted: looked up by id, updated if found, created if not. Guest id and email are required when guest data is provided.

If properties data is provided, each property is upserted the same way. Property id and name are required for each item.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Body Params
guest
object

Required on create. Guest data with at least id and email. If a guest with this id already exists, it will be updated; otherwise a new guest is created.

properties
array of objects

Required on create. List of property objects, each with at least id and name. If a property with a given id already exists, it will be updated; otherwise a new property is created.

properties
string
length ≥ 1

Required on create. The host identifier from your system.

string

Optional. Defaults to the reservation id if not provided.

date
date
string
length ≥ 1

Required on create. Your unique reservation identifier.

string | null
string | null
enum
  • paid_in_full - Paid in Full
  • not_paid - Not Paid
  • partially_paid - Partially Paid
  • refunded - Refunded
  • partially_refunded - Partially Refunded
  • cancelled - Cancelled
  • deleted - Deleted
string | null
string | null
boolean
date-time | null
string | null
boolean
date-time | null
int64 | null
0 to 4294967295
int64 | null
0 to 4294967295
int64 | null
0 to 4294967295
string | null
Headers
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json